# Distro Layer configuration
# include and overwrite default poky distro
#@NAME: vrmpdv
#@DESCRIPTION: OpenSTLinux featuring vrpm Device - no X11, no Wayland


# require conf/distro/poky.conf

require include/st-default-distro-rules.inc
require include/st-default-distro-providers.inc
require include/openstlinux.inc


# =========================================================================
# Distribution definition for: st-openstlinux-weston-
# =========================================================================
DISTRO = "vrpmdv"
DISTRO_NAME = "VRPMDV-Linux"
DISTRO_VERSION = "1.0"
# MAINTAINER = "markus@malehr.de"

# =========================================================================
# Do not activate this because then the tsv file creation failed
# =========================================================================
# TARGET_VENDOR = "-markuslehr"

DISTRO_FEATURES_BACKFILL_CONSIDERED += "sysvinit"
VIRTUAL-RUNTIME_init_manager = "systemd"
VIRTUAL-RUNTIME_initscripts = "systemd-compat-units"


# Override these in poky based distros
VRPMDV_WEB_DEFAULT_EXTRA_RDEPENDS = "packagegroup-core-boot"
VRPMDV_WEB_DEFAULT_EXTRA_RRECOMMENDS = "kernel-module-af-packet"

# =========================================================================
# DISTRO features
# =========================================================================

DISTRO_EXTRA_RDEPENDS += " ${VRPMDV_WEB_DEFAULT_EXTRA_RDEPENDS}"
DISTRO_EXTRA_RRECOMMENDS += " ${VRPMDV_WEB_DEFAULT_EXTRA_RRECOMMENDS}"

# DISTRO_FEATURES ?= " ${DISTRO_FEATURES_LIBC} "
DISTRO_FEATURES ?= "${DISTRO_FEATURES_DEFAULT} ${DISTRO_FEATURES_LIBC} ${POKY_DEFAULT_DISTRO_FEATURES}"
DISTRO_FEATURES:remove = " wayland x11 "
DISTRO_FEATURES:remove = " x11 "



